declare const _default: typeof __VLS_export;
export default _default;
declare const __VLS_export: import("vue").DefineComponent<{}, {}, {}, {}, {
    closePopup(): void;
    save(): void;
    download(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("download" | "save" | "close-popup")[], "download" | "save" | "close-popup", import("vue").PublicProps, Readonly<{}> & Readonly<{
    onDownload?: (...args: any[]) => any;
    onSave?: (...args: any[]) => any;
    "onClose-popup"?: (...args: any[]) => any;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
